> For the complete documentation index, see [llms.txt](https://docs.nextcli.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nextcli.com/en/cloud/telegram-bot/telegram-bot-notification-template-sharing.md).

# Telegram Bot Notification Template Sharing

{% hint style="success" %}
**Telegram BOT Related Code**

The code in this article is only applicable to Telegram bot configurations on [https://Cloud.NextCLi.com](https://cloud.nextcli.com/)
{% endhint %}

> #### [`/id`](https://t.me/tghelp?start\&text=/id) — Get the current Conversation Chat ID, [Test This command>>](https://t.me/tghelp?start\&text=/id)
>
> ```
> {{if eq .tg.group_id 0}}
> 👤<b><u>Current is a Private Chat</u></b>
> Current Chat ID: <code>{{.tg.id}}</code>
> Current User ID: <code>{{.tg.id}}</code>
> Current User Name: <code>{{.tg.name}}</code>
> Current User NickName: <code>{{.tg.nickname}}</code>
> {{else}}
> 👥<b><u>Current is a Group Chat</u></b>
> Current Chat ID: <code>{{.tg.group_id}}</code>
> Current Group ID: <code>{{.tg.group_id}}</code>
>
> Your User ID: <code>{{.tg.id}}</code>
> Current User Name: <code>{{.tg.name}}</code>
> Current User NickName: <code>{{.tg.nickname}}</code>
> {{end}}
> ```

> #### [CryptoCurrency Notification Bot](/en/cloud/telegram-bot/cryptocurrency-notification-bot.md)
>
> View Example: <https://t.me/cryptopush>
>
> #### Income Notification Content
>
> ```html
> ✅✅✅ <b>#Income</b>
> <b>Amount</b>: <a target="_blank" href="{{.transaction_hash_link}}"><b>{{.amount}}</b></a> ${{.token}} #{{.network}} 
> <b>From</b>: <a target="_blank" href="{{.address_from_link}}">{{.address_from}}</a> <code>{{.address_from_name}}</code>
> <b>To</b>: <a target="_blank" href="{{.address_to_link}}">{{.address_to}}</a> <code>{{.address_to_name}}</code>
> <b>Tx Hash</b>: {{.transaction_hash_short}} <a target="_blank" href="{{.transaction_hash_link}}"><u>View</u></a>
> Time: {{.block_time}} (UTC+8)
> On‑chain Memo: {{.note}}
> ```
>
> #### Expense Notification Content
>
> ```
> ⁉️⁉️⁉️ <b>#Expense</b>
> <b>Amount</b>: <a target="_blank" href="{{.transaction_hash_link}}"><b>{{.amount}}</b></a> ${{.token}} #{{.network}} 
> <b>From</b>: <a target="_blank" href="{{.address_from_link}}">{{.address_from}}</a> <code>{{.address_from_name}}</code>
> <b>To</b>: <a target="_blank" href="{{.address_to_link}}">{{.address_to}}</a> <code>{{.address_to_name}}</code>
> <b>Tx Hash</b>: {{.transaction_hash_short}} <a target="_blank" href="{{.transaction_hash_link}}"><u>View</u></a>
> Time: {{.block_time}} (UTC+8)
> On‑chain Memo: {{.note}}
> ```

End.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nextcli.com/en/cloud/telegram-bot/telegram-bot-notification-template-sharing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
